<!-- Based on fast/repaint/align-content-change.html -->
<!DOCTYPE HTML>
<script src="resources/paint-invalidation-test.js"></script>
<script>
window.expectedPaintInvalidationObjects = [
    "LayoutBlockFlow DIV class='item'",
    "LayoutBlockFlow DIV",
    "LayoutBlockFlow DIV class='item'",
    "LayoutBlockFlow DIV",
];
function paintInvalidationTest() {
  document.getElementById('container').style.alignContent = 'stretch';
}
onload = runPaintInvalidationTest;
</script>
<style>
body {
  margin: 0;
}
#container {
  display: flex;
  align-content: space-around;
  flex-flow: row wrap;
  width: 200px;
  height: 300px;
  background-color: red;
}
.item {
  background-color: green;
  border: solid thin blue;
  width: 200px;
}
</style>
<p style="height: 20px">Tests invalidation on align-content style change. Passes if there is no red.</p>
<div id="container">
  <div class="item">
    <div style="height: 50px"></div>
  </div>
  <div class="item">
    <div style="height: 50px"></div>
  </div>
</div>
